com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable

-     public class BarcodeScannerSymbologyTable
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BarcodeScannerSymbologyTable.FlagsHsm`
    `class` | `BarcodeScannerSymbologyTable.FlagsN431x`
    `class` | `BarcodeScannerSymbologyTable.FlagsSDL`
    `class` | `BarcodeScannerSymbologyTable.HwLabelHsm`
    `class` | `BarcodeScannerSymbologyTable.HwLabelN431x`
    `class` | `BarcodeScannerSymbologyTable.HwLabelSDL`
    `class` | `BarcodeScannerSymbologyTable.HwLabelSE965`
    `class` | `BarcodeScannerSymbologyTable.OffsetsSE965`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTHORITY`
    `static Uri` | `CONTENT_URI`
    `static java.lang.String` | `KEY_CHANGED`
    `static java.lang.String` | `KEY_ENABLED`
    `static java.lang.String` | `KEY_FLAGS`
    `static java.lang.String` | `KEY_HW_LABEL`
    `static java.lang.String` | `KEY_LABEL`
    `static java.lang.String` | `KEY_MAX_LENGTH`
    `static java.lang.String` | `KEY_MIN_LENGTH`
    `static java.lang.String` | `SCHEMA`
    `static java.lang.String` | `TABLE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeScannerSymbologyTable()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `disableAllSymbols(ContentResolver cr)` Use this to disable all symbology and than enable one by one the symbols on need
    `static Cursor` | `getAllSymbols(ContentResolver cr)` Return a Cursor that contains all symbols managed by the current hardware.
    `static void` | `setSymbolEnabled(ContentResolver cr, java.lang.String hwLabel, boolean en)` Enable/Disable one symbol
    `static void` | `setSymbolFlags(ContentResolver cr, java.lang.String hwLabel, int flags)` Set symbol flags
    `static void` | `setSymbolMinMaxLength(ContentResolver cr, java.lang.String hwLabel, int min, int max)` Set Min/Max length properties of a symbol

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORITY

          public static final java.lang.String AUTHORITY

      See Also:
        Constant Field Values

    - #### SCHEMA

          public static final java.lang.String SCHEMA

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          public static final java.lang.String TABLE_NAME

      See Also:
        Constant Field Values

    - #### CONTENT_URI

          public static final Uri CONTENT_URI

    - #### KEY_LABEL

          public static final java.lang.String KEY_LABEL

      See Also:
        Constant Field Values

    - #### KEY_HW_LABEL

          public static final java.lang.String KEY_HW_LABEL

      See Also:
        Constant Field Values

    - #### KEY_ENABLED

          public static final java.lang.String KEY_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_CHANGED

          public static final java.lang.String KEY_CHANGED

      See Also:
        Constant Field Values

    - #### KEY_MIN_LENGTH

          public static final java.lang.String KEY_MIN_LENGTH

      See Also:
        Constant Field Values

    - #### KEY_MAX_LENGTH

          public static final java.lang.String KEY_MAX_LENGTH

      See Also:
        Constant Field Values

    - #### KEY_FLAGS

          public static final java.lang.String KEY_FLAGS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BarcodeScannerSymbologyTable

          public BarcodeScannerSymbologyTable()

  - ### Method Detail

    - #### getAllSymbols

          public static Cursor getAllSymbols(ContentResolver cr)

      Return a Cursor that contains all symbols managed by the current hardware. Remember to close the cursor when no more needed
      Parameters:
        `cr:` - obtained by context.getContentResolver()

    - #### setSymbolEnabled

          public static void setSymbolEnabled(ContentResolver cr,
                                              java.lang.String hwLabel,
                                              boolean en)

      Enable/Disable one symbol
      Parameters:
        `cr:` - obtained by context.getContentResolver()
        `hwLabel:` - the label id that identify the symbol
        `en:` - true to enable the symbol

    - #### disableAllSymbols

          public static void disableAllSymbols(ContentResolver cr)

      Use this to disable all symbology and than enable one by one the symbols on need
      Parameters:
        `cr:` - obtained by context.getContentResolver()

    - #### setSymbolMinMaxLength

          public static void setSymbolMinMaxLength(ContentResolver cr,
                                                   java.lang.String hwLabel,
                                                   int min,
                                                   int max)

      Set Min/Max length properties of a symbol
      Parameters:
        `cr:` - obtained by context.getContentResolver()
        `hwLabel:` - the label id that identify the symbol
        `min:` - minimum tag length
        `max:` - maximum tag length

    - #### setSymbolFlags

          public static void setSymbolFlags(ContentResolver cr,
                                            java.lang.String hwLabel,
                                            int flags)

      Set symbol flags
      Parameters:
        `cr:` - obtained by context.getContentResolver()
        `hwLabel:` - the label id that identify the symbol
        `flags:` - hardware/symbol dependent flags